Skip to main content
Get the status of an async request.
curl --request GET \
  --url https://model-{model_id}.api.baseten.co/async_request/{request_id} \
  --header 'Authorization: <api-key>'
{
  "request_id": "<string>",
  "deployment_id": "<string>",
  "status": "QUEUED",
  "webhook_status": "PENDING",
  "created_at": "<string>",
  "status_at": "<string>",
  "errors": [],
  "model_id": "<string>",
  "chain_id": "<string>"
}

Authorizations

Authorization
string
header
required

API key with the Api-Key prefix, e.g. Authorization: Api-Key abcd1234.abcd1234.

Path Parameters

request_id
string
required

The ID of the async request.

Response

Current status of an async request.

request_id
string
required

The ID of the async request.

deployment_id
string
required

The ID of the deployment that executed the request.

status
enum<string>
required

The status of the async request.

Available options:
QUEUED,
IN_PROGRESS,
SUCCEEDED,
FAILED,
EXPIRED,
CANCELED,
WEBHOOK_FAILED
webhook_status
enum<string>
required

The status of sending the prediction result to the provided webhook.

Available options:
PENDING,
SUCCEEDED,
FAILED,
CANCELED,
NO_WEBHOOK_PROVIDED
created_at
string
required

The time in UTC at which the async request was created.

status_at
string
required

The time in UTC at which the async request's status was last updated.

errors
object[]
required

Errors that occurred while processing the async request. Empty if no errors occurred.

model_id
string

The ID of the model that executed the request. Present for model requests.

chain_id
string

The ID of the chain that executed the request. Present for chain requests.